//---------------------------------------------------------------------------
// 拒签报告（退回重写）
//---------------------------------------------------------------------------
// String _opacsconnection; 	约定的输入变量名
// String _modalitytype; 		约定的输入变量名
// TADOQuery _qryStudy; 		外部已定义的对象
// TADOQuery _qryImage; 		外部已定义的对象
// TADOQuery _qryCustom; 		外部已定义的对象

//---------------------------------------------------------------------------
String _opacsconnection;	
String _modalitytype;

//---------------------------------------------------------------------------
// 主程序
//---------------------------------------------------------------------------
{
	int iStudyKey = _qryStudy.FieldByName("study_key").AsInteger;
    if (iStudyKey <= 0)
    {
    	MessageBox("请先选择病人检查记录！", "报告拒签", 1);
    	return;
    }
    	
    int iReportState = _qryStudy.FieldByName("report_state").AsInteger;
    if (iReportState >= 2)
    {
    	MessageBox("已审核报告不允许执行报告拒签！", "报告拒签", 1);
        return;    	
	}
    
    String sPatientName = _qryStudy.FieldByName("patient_name").AsString;
	if (1 == MessageBox("确认对【" + sPatientName + "】执行报告拒签吗？", "报告拒签", 0))
	{
		int iTag = _qryStudy.Tag;
		_qryStudy.Tag = 99;
		_qryStudy.Edit();
		_qryStudy.FieldByName("report_state").Value = -1;	// 已拒签
		_qryStudy.Post();
		_qryStudy.Tag = iTag;
		////		
		MessageBox("拒签成功！", "报告拒签", 1);
	}
}
